Bug 38883 - Click on caption daesn't change activated IDE window
Click on caption daesn't change activated IDE window
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Window System
3.x
PC Linux
: P3 (vote)
: 3.x
Assigned To: Peter Zavadsky
issues@platform
: A11Y, FOCUS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-16 10:00 UTC by Marian Mirilovic
Modified: 2008-12-22 17:26 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marian Mirilovic 2004-01-16 10:00:55 UTC
[nb_dev](200401141900), [jdk1.4.2_03]

Steps to reproduce:
- run IDE in SDI
- activate Source Editor (focus is in editor and
editor tab is active)
- click on caption of Filesystems window
-> Filesystems Native Window is selected but
Filesystems IDE Window isn't activated
Comment 1 Peter Zavadsky 2004-01-20 13:10:12 UTC
Fixed in [trunk]


Checking in core/windows/src/org/netbeans/core/windows/Central.java;
/cvs/core/windows/src/org/netbeans/core/windows/Central.java,v  <-- 
Central.java
new revision: 1.11; previous revision: 1.10
done
Processing log script arguments...
More commits to come...
Checking in
core/windows/src/org/netbeans/core/windows/view/Controller.java;
/cvs/core/windows/src/org/netbeans/core/windows/view/Controller.java,v
 <--  Controller.java
new revision: 1.4; previous revision: 1.3
done
Checking in
core/windows/src/org/netbeans/core/windows/view/ControllerHandler.java;
/cvs/core/windows/src/org/netbeans/core/windows/view/ControllerHandler.java,v
 <--  ControllerHandler.java
new revision: 1.4; previous revision: 1.3
done
Checking in
core/windows/src/org/netbeans/core/windows/view/DefaultView.java;
/cvs/core/windows/src/org/netbeans/core/windows/view/DefaultView.java,v
 <--  DefaultView.java
new revision: 1.16; previous revision: 1.15
done
Checking in
core/windows/src/org/netbeans/core/windows/view/ViewHierarchy.java;
/cvs/core/windows/src/org/netbeans/core/windows/view/ViewHierarchy.java,v
 <--  ViewHierarchy.java
new revision: 1.12; previous revision: 1.11
done
Processing log script arguments...
More commits to come...
Checking in
core/windows/src/org/netbeans/core/windows/view/ui/DefaultSeparateContainer.java;
/cvs/core/windows/src/org/netbeans/core/windows/view/ui/DefaultSeparateContainer.java,v
 <--  DefaultSeparateContainer.java
new revision: 1.4; previous revision: 1.3
done
Checking in
core/windows/src/org/netbeans/core/windows/view/ui/DefaultSplitContainer.java;
/cvs/core/windows/src/org/netbeans/core/windows/view/ui/DefaultSplitContainer.java,v
 <--  DefaultSplitContainer.java
new revision: 1.3; previous revision: 1.2
done
Processing log script arguments...
Mailing the commit message to cvs@core.netbeans.org (from
pzavadsky@netbeans.org)
Comment 2 Marian Mirilovic 2004-02-16 16:03:26 UTC
verified in [nb_dev](200402151900)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo